
#include <stdio.h>
#include <stddef.h>
#include <stdarg.h>
#include <errno.h>
#include <sys/types.h>   /* XXX for ssize_t on some platforms */

#ifdef _WIN32
#  include <Windows.h>
#  define snprintf _snprintf
typedef __int8 int8_t;
typedef __int16 int16_t;
typedef __int32 int32_t;
typedef __int64 int64_t;
typedef unsigned __int8 uint8_t;
typedef unsigned __int16 uint16_t;
typedef unsigned __int32 uint32_t;
typedef unsigned __int64 uint64_t;
typedef SSIZE_T ssize_t;
typedef unsigned char _Bool;
#else
#  include <stdint.h>
#endif


    #include <sqlite3.h>
    
void * _cffi_f_sqlite3_aggregate_context(sqlite3_context * x0, int x1)
{
  return sqlite3_aggregate_context(x0, x1);
}

int _cffi_f_sqlite3_bind_blob(sqlite3_stmt * x0, int x1, void const * x2, int x3, void(* x4)(void *))
{
  return sqlite3_bind_blob(x0, x1, x2, x3, x4);
}

int _cffi_f_sqlite3_bind_double(sqlite3_stmt * x0, int x1, double x2)
{
  return sqlite3_bind_double(x0, x1, x2);
}

int _cffi_f_sqlite3_bind_int(sqlite3_stmt * x0, int x1, int x2)
{
  return sqlite3_bind_int(x0, x1, x2);
}

int _cffi_f_sqlite3_bind_int64(sqlite3_stmt * x0, int x1, int64_t x2)
{
  return sqlite3_bind_int64(x0, x1, x2);
}

int _cffi_f_sqlite3_bind_null(sqlite3_stmt * x0, int x1)
{
  return sqlite3_bind_null(x0, x1);
}

int _cffi_f_sqlite3_bind_parameter_count(sqlite3_stmt * x0)
{
  return sqlite3_bind_parameter_count(x0);
}

char const * _cffi_f_sqlite3_bind_parameter_name(sqlite3_stmt * x0, int x1)
{
  return sqlite3_bind_parameter_name(x0, x1);
}

int _cffi_f_sqlite3_bind_text(sqlite3_stmt * x0, int x1, char const * x2, int x3, void(* x4)(void *))
{
  return sqlite3_bind_text(x0, x1, x2, x3, x4);
}

int _cffi_f_sqlite3_bind_text16(sqlite3_stmt * x0, int x1, void const * x2, int x3, void(* x4)(void *))
{
  return sqlite3_bind_text16(x0, x1, x2, x3, x4);
}

int _cffi_f_sqlite3_bind_value(sqlite3_stmt * x0, int x1, sqlite3_value const * x2)
{
  return sqlite3_bind_value(x0, x1, x2);
}

int _cffi_f_sqlite3_bind_zeroblob(sqlite3_stmt * x0, int x1, int x2)
{
  return sqlite3_bind_zeroblob(x0, x1, x2);
}

int _cffi_f_sqlite3_busy_timeout(sqlite3 * x0, int x1)
{
  return sqlite3_busy_timeout(x0, x1);
}

int _cffi_f_sqlite3_changes(sqlite3 * x0)
{
  return sqlite3_changes(x0);
}

int _cffi_f_sqlite3_close(sqlite3 * x0)
{
  return sqlite3_close(x0);
}

void const * _cffi_f_sqlite3_column_blob(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_blob(x0, x1);
}

int _cffi_f_sqlite3_column_bytes(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_bytes(x0, x1);
}

int _cffi_f_sqlite3_column_count(sqlite3_stmt * x0)
{
  return sqlite3_column_count(x0);
}

char const * _cffi_f_sqlite3_column_decltype(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_decltype(x0, x1);
}

double _cffi_f_sqlite3_column_double(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_double(x0, x1);
}

int _cffi_f_sqlite3_column_int(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_int(x0, x1);
}

int64_t _cffi_f_sqlite3_column_int64(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_int64(x0, x1);
}

char const * _cffi_f_sqlite3_column_name(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_name(x0, x1);
}

unsigned char const * _cffi_f_sqlite3_column_text(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_text(x0, x1);
}

void const * _cffi_f_sqlite3_column_text16(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_text16(x0, x1);
}

int _cffi_f_sqlite3_column_type(sqlite3_stmt * x0, int x1)
{
  return sqlite3_column_type(x0, x1);
}

int _cffi_f_sqlite3_create_collation(sqlite3 * x0, char const * x1, int x2, void * x3, int(* x4)(void *, int, void const *, int, void const *))
{
  return sqlite3_create_collation(x0, x1, x2, x3, x4);
}

int _cffi_f_sqlite3_create_function(sqlite3 * x0, char const * x1, int x2, int x3, void * x4, void(* x5)(sqlite3_context *, int, sqlite3_value * *), void(* x6)(sqlite3_context *, int, sqlite3_value * *), void(* x7)(sqlite3_context *))
{
  return sqlite3_create_function(x0, x1, x2, x3, x4, x5, x6, x7);
}

int _cffi_f_sqlite3_data_count(sqlite3_stmt * x0)
{
  return sqlite3_data_count(x0);
}

int _cffi_f_sqlite3_enable_load_extension(sqlite3 * x0, int x1)
{
  return sqlite3_enable_load_extension(x0, x1);
}

int _cffi_f_sqlite3_errcode(sqlite3 * x0)
{
  return sqlite3_errcode(x0);
}

char const * _cffi_f_sqlite3_errmsg(sqlite3 * x0)
{
  return sqlite3_errmsg(x0);
}

int _cffi_f_sqlite3_finalize(sqlite3_stmt * x0)
{
  return sqlite3_finalize(x0);
}

int _cffi_f_sqlite3_get_autocommit(sqlite3 * x0)
{
  return sqlite3_get_autocommit(x0);
}

int64_t _cffi_f_sqlite3_last_insert_rowid(sqlite3 * x0)
{
  return sqlite3_last_insert_rowid(x0);
}

char const * _cffi_f_sqlite3_libversion(void)
{
  return sqlite3_libversion();
}

int _cffi_f_sqlite3_open(char const * x0, sqlite3 * * x1)
{
  return sqlite3_open(x0, x1);
}

int _cffi_f_sqlite3_prepare(sqlite3 * x0, char const * x1, int x2, sqlite3_stmt * * x3, char const * * x4)
{
  return sqlite3_prepare(x0, x1, x2, x3, x4);
}

int _cffi_f_sqlite3_prepare_v2(sqlite3 * x0, char const * x1, int x2, sqlite3_stmt * * x3, char const * * x4)
{
  return sqlite3_prepare_v2(x0, x1, x2, x3, x4);
}

void _cffi_f_sqlite3_progress_handler(sqlite3 * x0, int x1, int(* x2)(void *), void * x3)
{
  sqlite3_progress_handler(x0, x1, x2, x3);
}

int _cffi_f_sqlite3_reset(sqlite3_stmt * x0)
{
  return sqlite3_reset(x0);
}

void _cffi_f_sqlite3_result_blob(sqlite3_context * x0, void const * x1, int x2, void(* x3)(void *))
{
  sqlite3_result_blob(x0, x1, x2, x3);
}

void _cffi_f_sqlite3_result_double(sqlite3_context * x0, double x1)
{
  sqlite3_result_double(x0, x1);
}

void _cffi_f_sqlite3_result_error(sqlite3_context * x0, char const * x1, int x2)
{
  sqlite3_result_error(x0, x1, x2);
}

void _cffi_f_sqlite3_result_error16(sqlite3_context * x0, void const * x1, int x2)
{
  sqlite3_result_error16(x0, x1, x2);
}

void _cffi_f_sqlite3_result_error_code(sqlite3_context * x0, int x1)
{
  sqlite3_result_error_code(x0, x1);
}

void _cffi_f_sqlite3_result_error_nomem(sqlite3_context * x0)
{
  sqlite3_result_error_nomem(x0);
}

void _cffi_f_sqlite3_result_error_toobig(sqlite3_context * x0)
{
  sqlite3_result_error_toobig(x0);
}

void _cffi_f_sqlite3_result_int(sqlite3_context * x0, int x1)
{
  sqlite3_result_int(x0, x1);
}

void _cffi_f_sqlite3_result_int64(sqlite3_context * x0, int64_t x1)
{
  sqlite3_result_int64(x0, x1);
}

void _cffi_f_sqlite3_result_null(sqlite3_context * x0)
{
  sqlite3_result_null(x0);
}

void _cffi_f_sqlite3_result_text(sqlite3_context * x0, char const * x1, int x2, void(* x3)(void *))
{
  sqlite3_result_text(x0, x1, x2, x3);
}

void _cffi_f_sqlite3_result_text16(sqlite3_context * x0, void const * x1, int x2, void(* x3)(void *))
{
  sqlite3_result_text16(x0, x1, x2, x3);
}

void _cffi_f_sqlite3_result_text16be(sqlite3_context * x0, void const * x1, int x2, void(* x3)(void *))
{
  sqlite3_result_text16be(x0, x1, x2, x3);
}

void _cffi_f_sqlite3_result_text16le(sqlite3_context * x0, void const * x1, int x2, void(* x3)(void *))
{
  sqlite3_result_text16le(x0, x1, x2, x3);
}

void _cffi_f_sqlite3_result_value(sqlite3_context * x0, sqlite3_value * x1)
{
  sqlite3_result_value(x0, x1);
}

void _cffi_f_sqlite3_result_zeroblob(sqlite3_context * x0, int x1)
{
  sqlite3_result_zeroblob(x0, x1);
}

int _cffi_f_sqlite3_set_authorizer(sqlite3 * x0, int(* x1)(void *, int, char const *, char const *, char const *, char const *), void * x2)
{
  return sqlite3_set_authorizer(x0, x1, x2);
}

int _cffi_f_sqlite3_step(sqlite3_stmt * x0)
{
  return sqlite3_step(x0);
}

int _cffi_f_sqlite3_total_changes(sqlite3 * x0)
{
  return sqlite3_total_changes(x0);
}

void const * _cffi_f_sqlite3_value_blob(sqlite3_value * x0)
{
  return sqlite3_value_blob(x0);
}

int _cffi_f_sqlite3_value_bytes(sqlite3_value * x0)
{
  return sqlite3_value_bytes(x0);
}

int _cffi_f_sqlite3_value_bytes16(sqlite3_value * x0)
{
  return sqlite3_value_bytes16(x0);
}

double _cffi_f_sqlite3_value_double(sqlite3_value * x0)
{
  return sqlite3_value_double(x0);
}

int _cffi_f_sqlite3_value_int(sqlite3_value * x0)
{
  return sqlite3_value_int(x0);
}

int64_t _cffi_f_sqlite3_value_int64(sqlite3_value * x0)
{
  return sqlite3_value_int64(x0);
}

int _cffi_f_sqlite3_value_numeric_type(sqlite3_value * x0)
{
  return sqlite3_value_numeric_type(x0);
}

unsigned char const * _cffi_f_sqlite3_value_text(sqlite3_value * x0)
{
  return sqlite3_value_text(x0);
}

void const * _cffi_f_sqlite3_value_text16(sqlite3_value * x0)
{
  return sqlite3_value_text16(x0);
}

void const * _cffi_f_sqlite3_value_text16be(sqlite3_value * x0)
{
  return sqlite3_value_text16be(x0);
}

void const * _cffi_f_sqlite3_value_text16le(sqlite3_value * x0)
{
  return sqlite3_value_text16le(x0);
}

int _cffi_f_sqlite3_value_type(sqlite3_value * x0)
{
  return sqlite3_value_type(x0);
}

int _cffi_const_SQLITE3_TEXT(long long *out_value)
{
  *out_value = (long long)(SQLITE3_TEXT);
  return (SQLITE3_TEXT) <= 0;
}

int _cffi_const_SQLITE_ABORT(long long *out_value)
{
  *out_value = (long long)(SQLITE_ABORT);
  return (SQLITE_ABORT) <= 0;
}

int _cffi_const_SQLITE_ALTER_TABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_ALTER_TABLE);
  return (SQLITE_ALTER_TABLE) <= 0;
}

int _cffi_const_SQLITE_ANALYZE(long long *out_value)
{
  *out_value = (long long)(SQLITE_ANALYZE);
  return (SQLITE_ANALYZE) <= 0;
}

int _cffi_const_SQLITE_ATTACH(long long *out_value)
{
  *out_value = (long long)(SQLITE_ATTACH);
  return (SQLITE_ATTACH) <= 0;
}

int _cffi_const_SQLITE_AUTH(long long *out_value)
{
  *out_value = (long long)(SQLITE_AUTH);
  return (SQLITE_AUTH) <= 0;
}

int _cffi_const_SQLITE_BLOB(long long *out_value)
{
  *out_value = (long long)(SQLITE_BLOB);
  return (SQLITE_BLOB) <= 0;
}

int _cffi_const_SQLITE_BUSY(long long *out_value)
{
  *out_value = (long long)(SQLITE_BUSY);
  return (SQLITE_BUSY) <= 0;
}

int _cffi_const_SQLITE_CANTOPEN(long long *out_value)
{
  *out_value = (long long)(SQLITE_CANTOPEN);
  return (SQLITE_CANTOPEN) <= 0;
}

int _cffi_const_SQLITE_CONSTRAINT(long long *out_value)
{
  *out_value = (long long)(SQLITE_CONSTRAINT);
  return (SQLITE_CONSTRAINT) <= 0;
}

int _cffi_const_SQLITE_CORRUPT(long long *out_value)
{
  *out_value = (long long)(SQLITE_CORRUPT);
  return (SQLITE_CORRUPT) <= 0;
}

int _cffi_const_SQLITE_CREATE_INDEX(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_INDEX);
  return (SQLITE_CREATE_INDEX) <= 0;
}

int _cffi_const_SQLITE_CREATE_TABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TABLE);
  return (SQLITE_CREATE_TABLE) <= 0;
}

int _cffi_const_SQLITE_CREATE_TEMP_INDEX(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TEMP_INDEX);
  return (SQLITE_CREATE_TEMP_INDEX) <= 0;
}

int _cffi_const_SQLITE_CREATE_TEMP_TABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TEMP_TABLE);
  return (SQLITE_CREATE_TEMP_TABLE) <= 0;
}

int _cffi_const_SQLITE_CREATE_TEMP_TRIGGER(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TEMP_TRIGGER);
  return (SQLITE_CREATE_TEMP_TRIGGER) <= 0;
}

int _cffi_const_SQLITE_CREATE_TEMP_VIEW(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TEMP_VIEW);
  return (SQLITE_CREATE_TEMP_VIEW) <= 0;
}

int _cffi_const_SQLITE_CREATE_TRIGGER(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_TRIGGER);
  return (SQLITE_CREATE_TRIGGER) <= 0;
}

int _cffi_const_SQLITE_CREATE_VIEW(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_VIEW);
  return (SQLITE_CREATE_VIEW) <= 0;
}

int _cffi_const_SQLITE_CREATE_VTABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_CREATE_VTABLE);
  return (SQLITE_CREATE_VTABLE) <= 0;
}

int _cffi_const_SQLITE_DELETE(long long *out_value)
{
  *out_value = (long long)(SQLITE_DELETE);
  return (SQLITE_DELETE) <= 0;
}

int _cffi_const_SQLITE_DENY(long long *out_value)
{
  *out_value = (long long)(SQLITE_DENY);
  return (SQLITE_DENY) <= 0;
}

int _cffi_const_SQLITE_DETACH(long long *out_value)
{
  *out_value = (long long)(SQLITE_DETACH);
  return (SQLITE_DETACH) <= 0;
}

int _cffi_const_SQLITE_DONE(long long *out_value)
{
  *out_value = (long long)(SQLITE_DONE);
  return (SQLITE_DONE) <= 0;
}

int _cffi_const_SQLITE_DROP_INDEX(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_INDEX);
  return (SQLITE_DROP_INDEX) <= 0;
}

int _cffi_const_SQLITE_DROP_TABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TABLE);
  return (SQLITE_DROP_TABLE) <= 0;
}

int _cffi_const_SQLITE_DROP_TEMP_INDEX(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TEMP_INDEX);
  return (SQLITE_DROP_TEMP_INDEX) <= 0;
}

int _cffi_const_SQLITE_DROP_TEMP_TABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TEMP_TABLE);
  return (SQLITE_DROP_TEMP_TABLE) <= 0;
}

int _cffi_const_SQLITE_DROP_TEMP_TRIGGER(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TEMP_TRIGGER);
  return (SQLITE_DROP_TEMP_TRIGGER) <= 0;
}

int _cffi_const_SQLITE_DROP_TEMP_VIEW(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TEMP_VIEW);
  return (SQLITE_DROP_TEMP_VIEW) <= 0;
}

int _cffi_const_SQLITE_DROP_TRIGGER(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_TRIGGER);
  return (SQLITE_DROP_TRIGGER) <= 0;
}

int _cffi_const_SQLITE_DROP_VIEW(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_VIEW);
  return (SQLITE_DROP_VIEW) <= 0;
}

int _cffi_const_SQLITE_DROP_VTABLE(long long *out_value)
{
  *out_value = (long long)(SQLITE_DROP_VTABLE);
  return (SQLITE_DROP_VTABLE) <= 0;
}

int _cffi_const_SQLITE_EMPTY(long long *out_value)
{
  *out_value = (long long)(SQLITE_EMPTY);
  return (SQLITE_EMPTY) <= 0;
}

int _cffi_const_SQLITE_ERROR(long long *out_value)
{
  *out_value = (long long)(SQLITE_ERROR);
  return (SQLITE_ERROR) <= 0;
}

int _cffi_const_SQLITE_FLOAT(long long *out_value)
{
  *out_value = (long long)(SQLITE_FLOAT);
  return (SQLITE_FLOAT) <= 0;
}

int _cffi_const_SQLITE_FORMAT(long long *out_value)
{
  *out_value = (long long)(SQLITE_FORMAT);
  return (SQLITE_FORMAT) <= 0;
}

int _cffi_const_SQLITE_FULL(long long *out_value)
{
  *out_value = (long long)(SQLITE_FULL);
  return (SQLITE_FULL) <= 0;
}

int _cffi_const_SQLITE_FUNCTION(long long *out_value)
{
  *out_value = (long long)(SQLITE_FUNCTION);
  return (SQLITE_FUNCTION) <= 0;
}

int _cffi_const_SQLITE_IGNORE(long long *out_value)
{
  *out_value = (long long)(SQLITE_IGNORE);
  return (SQLITE_IGNORE) <= 0;
}

int _cffi_const_SQLITE_INSERT(long long *out_value)
{
  *out_value = (long long)(SQLITE_INSERT);
  return (SQLITE_INSERT) <= 0;
}

int _cffi_const_SQLITE_INTEGER(long long *out_value)
{
  *out_value = (long long)(SQLITE_INTEGER);
  return (SQLITE_INTEGER) <= 0;
}

int _cffi_const_SQLITE_INTERNAL(long long *out_value)
{
  *out_value = (long long)(SQLITE_INTERNAL);
  return (SQLITE_INTERNAL) <= 0;
}

int _cffi_const_SQLITE_INTERRUPT(long long *out_value)
{
  *out_value = (long long)(SQLITE_INTERRUPT);
  return (SQLITE_INTERRUPT) <= 0;
}

int _cffi_const_SQLITE_IOERR(long long *out_value)
{
  *out_value = (long long)(SQLITE_IOERR);
  return (SQLITE_IOERR) <= 0;
}

int _cffi_const_SQLITE_LOCKED(long long *out_value)
{
  *out_value = (long long)(SQLITE_LOCKED);
  return (SQLITE_LOCKED) <= 0;
}

int _cffi_const_SQLITE_MISMATCH(long long *out_value)
{
  *out_value = (long long)(SQLITE_MISMATCH);
  return (SQLITE_MISMATCH) <= 0;
}

int _cffi_const_SQLITE_MISUSE(long long *out_value)
{
  *out_value = (long long)(SQLITE_MISUSE);
  return (SQLITE_MISUSE) <= 0;
}

int _cffi_const_SQLITE_NOLFS(long long *out_value)
{
  *out_value = (long long)(SQLITE_NOLFS);
  return (SQLITE_NOLFS) <= 0;
}

int _cffi_const_SQLITE_NOMEM(long long *out_value)
{
  *out_value = (long long)(SQLITE_NOMEM);
  return (SQLITE_NOMEM) <= 0;
}

int _cffi_const_SQLITE_NOTADB(long long *out_value)
{
  *out_value = (long long)(SQLITE_NOTADB);
  return (SQLITE_NOTADB) <= 0;
}

int _cffi_const_SQLITE_NOTFOUND(long long *out_value)
{
  *out_value = (long long)(SQLITE_NOTFOUND);
  return (SQLITE_NOTFOUND) <= 0;
}

int _cffi_const_SQLITE_NULL(long long *out_value)
{
  *out_value = (long long)(SQLITE_NULL);
  return (SQLITE_NULL) <= 0;
}

int _cffi_const_SQLITE_OK(long long *out_value)
{
  *out_value = (long long)(SQLITE_OK);
  return (SQLITE_OK) <= 0;
}

int _cffi_const_SQLITE_PERM(long long *out_value)
{
  *out_value = (long long)(SQLITE_PERM);
  return (SQLITE_PERM) <= 0;
}

int _cffi_const_SQLITE_PRAGMA(long long *out_value)
{
  *out_value = (long long)(SQLITE_PRAGMA);
  return (SQLITE_PRAGMA) <= 0;
}

int _cffi_const_SQLITE_PROTOCOL(long long *out_value)
{
  *out_value = (long long)(SQLITE_PROTOCOL);
  return (SQLITE_PROTOCOL) <= 0;
}

int _cffi_const_SQLITE_RANGE(long long *out_value)
{
  *out_value = (long long)(SQLITE_RANGE);
  return (SQLITE_RANGE) <= 0;
}

int _cffi_const_SQLITE_READ(long long *out_value)
{
  *out_value = (long long)(SQLITE_READ);
  return (SQLITE_READ) <= 0;
}

int _cffi_const_SQLITE_READONLY(long long *out_value)
{
  *out_value = (long long)(SQLITE_READONLY);
  return (SQLITE_READONLY) <= 0;
}

int _cffi_const_SQLITE_REINDEX(long long *out_value)
{
  *out_value = (long long)(SQLITE_REINDEX);
  return (SQLITE_REINDEX) <= 0;
}

int _cffi_const_SQLITE_ROW(long long *out_value)
{
  *out_value = (long long)(SQLITE_ROW);
  return (SQLITE_ROW) <= 0;
}

int _cffi_const_SQLITE_SCHEMA(long long *out_value)
{
  *out_value = (long long)(SQLITE_SCHEMA);
  return (SQLITE_SCHEMA) <= 0;
}

int _cffi_const_SQLITE_SELECT(long long *out_value)
{
  *out_value = (long long)(SQLITE_SELECT);
  return (SQLITE_SELECT) <= 0;
}

int _cffi_const_SQLITE_TEXT(long long *out_value)
{
  *out_value = (long long)(SQLITE_TEXT);
  return (SQLITE_TEXT) <= 0;
}

int _cffi_const_SQLITE_TOOBIG(long long *out_value)
{
  *out_value = (long long)(SQLITE_TOOBIG);
  return (SQLITE_TOOBIG) <= 0;
}

int _cffi_const_SQLITE_TRANSACTION(long long *out_value)
{
  *out_value = (long long)(SQLITE_TRANSACTION);
  return (SQLITE_TRANSACTION) <= 0;
}

int _cffi_const_SQLITE_TRANSIENT(long long *out_value)
{
  *out_value = (long long)(SQLITE_TRANSIENT);
  return (SQLITE_TRANSIENT) <= 0;
}

int _cffi_const_SQLITE_UPDATE(long long *out_value)
{
  *out_value = (long long)(SQLITE_UPDATE);
  return (SQLITE_UPDATE) <= 0;
}

int _cffi_const_SQLITE_UTF8(long long *out_value)
{
  *out_value = (long long)(SQLITE_UTF8);
  return (SQLITE_UTF8) <= 0;
}

